<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Microsoft.CodeAnalysis.Common" Version="4.9.2" />
        <PackageReference Include="Microsoft.CodeAnalysis.CSharp" Version="4.9.2" />
        <PackageReference Include="NPOI">
            <Version>2.7.0</Version>
        </PackageReference>
        <PackageReference Include="RoslynPad.Roslyn" Version="4.8.0" />
        <PackageReference Include="System.Collections.Immutable" Version="9.0.0-preview.4.24266.19" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\InABox.Core\InABox.Core.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Compile Remove="archive\**" />
        <Compile Remove="InABox.Scripting\**" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Remove="archive\**" />
        <EmbeddedResource Remove="InABox.Scripting\**" />
    </ItemGroup>

    <ItemGroup>
        <None Remove="archive\**" />
        <None Remove=".gitignore" />
        <None Remove="InABox.Scripting\**" />
    </ItemGroup>

</Project>
